Package org.postgresql.replication.fluent.logical

# Interface ChainedLogicalStreamBuilder

All Superinterfaces:
  `ChainedCommonStreamBuilder<ChainedLogicalStreamBuilder>`

All Known Implementing Classes:
  `LogicalStreamBuilder`

public interface ChainedLogicalStreamBuilder extends ChainedCommonStreamBuilder<ChainedLogicalStreamBuilder>

## Method Summary

Modifier and Type
Method
Description
`PGReplicationStream`
`start()`
Open logical replication stream.
`ChainedLogicalStreamBuilder`
`withSlotOption(String optionName, boolean optionValue)`
`ChainedLogicalStreamBuilder`
`withSlotOption(String optionName, int optionValue)`
`ChainedLogicalStreamBuilder`
`withSlotOption(String optionName, String optionValue)`
`ChainedLogicalStreamBuilder`
`withSlotOptions(Properties options)`

### Methods inherited from interface org.postgresql.replication.fluent.ChainedCommonStreamBuilder

`withSlotName, withStartPosition, withStatusInterval`

## Method Details

### start

PGReplicationStream start() throws SQLException
Open logical replication stream.

Returns:
  not null PGReplicationStream available for fetch data in logical form
Throws:
  `SQLException` - if there are errors

### withSlotOption

ChainedLogicalStreamBuilder withSlotOption(String optionName, boolean optionValue)

Parameters:
  `optionName` - name of option
  `optionValue` - boolean value
Returns:
  ChainedLogicalStreamBuilder

### withSlotOption

ChainedLogicalStreamBuilder withSlotOption(String optionName, int optionValue)

Parameters:
  `optionName` - name of option
  `optionValue` - integer value
Returns:
  ChainedLogicalStreamBuilder

### withSlotOption

ChainedLogicalStreamBuilder withSlotOption(String optionName, String optionValue)

Parameters:
  `optionName` - name of option
  `optionValue` - String value
Returns:
  ChainedLogicalStreamBuilder

### withSlotOptions

ChainedLogicalStreamBuilder withSlotOptions(Properties options)

Parameters:
  `options` - properties
Returns:
  ChainedLogicalStreamBuilder